body {
    overflow-x: hidden;
}

#hmenu {
    display: none;
}

#slide-menu {
    display: none;
}

@media screen and (max-width: 868px) {
.h-area {
    display: flex;
    flex-direction: row-reverse;
    height: 5.5rem;
    padding: 0;
    align-items: center;
}

#hmenu {
    color: #f5f5f5;
    display: block;
    cursor: pointer;
    margin: 1em;
    flex-direction: column;
    align-items: center;
    position: fixed;
    top: 1em;
    right: 1em;
    width: 2.5em;
    height: 1.9em;
    /*transition: .3s;*/
	transition: .35s ease-in-out;
	z-index: 888;
}

#hmenu line {
    color: #f5f5f5;
    background: #1a1a1a;
    width: 100%;
	
	position: absolute;
    height: 4px;
	transition: all 0.3s;
}

#hmenu line:first-of-type {
    /* メニューの1番目の線 */
   top: 0;
    }
#hmenu line:nth-of-type(2) {
    /* メニューの2番目の線 */
    top: 50%;
	transform: translateY(-50%);
}
#hmenu line:last-of-type {
    /* メニューの3番目の線 */
    bottom: 0%;
}

#slide-menu {
	background: #f5f5f5;
    display: grid;
	justify-content: center;
    position: fixed;
    top: 0;
    width: 100vw;
	height: 100%;
	text-align: left;
    transition: .3s;
	transform: translateX(100%);
	z-index: 777;
}
#slide-menu .wrap_gnav {
	position: relative;
	width: 70vw;
	height: 80%;
	margin: 5em auto auto auto;
}
	
#slide-menu ul {
	width: 100%;
	list-style: none;
	margin: 0 auto;
	padding: 0;
	
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-around;
	gap: 30px 30px;
}
	
#slide-menu li {
    list-style: none;
    background: #f5f5f5;
	min-width: 250px;
	height: auto;
	padding: 0;
}
	
#slide-menu li a,
#slide-menu p a {
	font-size: clamp(1.5rem, 2vw + 1rem, 2.25rem);
	font-weight: 600;
	color: #1e1e1e;
}
	
#slide-menu p {
	margin: 2em auto auto auto;
	width: 100%;
	text-align: center;
}

.gray,
.red {
	/*font-size: clamp(1.625rem, 1.332rem + 1.304vw, 2.375rem);*/
	font-family: "FOT-UD角ゴ_ラージ Pr6N R";
}
.gray {
	color: #ccc;
	font-size: 2.3rem;
	letter-spacing: -1px;
}
.red {
	color:crimson;
	font-weight: 800;
}

.wrap_gnav ul li a,
.wrap_gnav p a {
    position: relative;
    display: inline-block;
    /*margin-bottom: 1em;*/
	/*text-align: center;*/
}
.wrap_gnav ul li a::before {
    content: '';
    position: absolute;
    left: 30%;
    bottom: -0.5rem;
    /*display: inline-block;*/
    width: 60%;
    height: 2px;
    /*transform: translateX(-50%);*/
	transform: scale(0, 1);
	transform-origin: center top;
	transition: transform 0.3s;
    /*background: transparent;*/
	background: #8cc63f;
}
.wrap_gnav p a::before {
    content: '';
    position: absolute;
    left: 20%;
    bottom: -0.5rem;
    /*display: inline-block;*/
    width: 70%;
    height: 2px;
    /*transform: translateX(-50%);*/
	transform: scale(0, 1);
	transform-origin: center top;
	transition: transform 0.2s;
    /*background: transparent;*/
	background: #8cc63f;
}
.wrap_gnav ul li:hover a::before,
.wrap_gnav p:hover a::before {
    /*background: #8cc63f;*/
    /*opacity: 1;*/
	transform: scale(1, 1);
}
	
#hmenu.active line:first-of-type {
    /* メニューの1番目の線 */
    top: 50%;
    transform: rotate(45deg); 
}

#hmenu.active line:nth-of-type(2) {
	/* メニューの2番目の線 */
    /*opacity: 0;*/
	display: none;
}

#hmenu.active line:last-of-type {
    /* メニューの3番目の線 */
	top: 50%;
    transform: rotate(-45deg);
}
	
#slide-menu.active {
    transform: translateX(0);
}
}

@media screen and (max-width: 480px) {
.h-area {
   height: 5.5rem;
}
/*
#hmenu {
    color: #f5f5f5;
    display: block;
    cursor: pointer;
    margin: 1em;
    flex-direction: column;
    align-items: center;
    position: fixed;
    top: 1em;
    right: 4em;
    width: 2.5em;
    height: 1.9em;
    transition: .4s;
	z-index: 888;
}
*/
#hmenu line {
    color: #f5f5f5;
    background: #1a1a1a;
    width: 100%;
	
	position: absolute;
    height: 4px;
	transition: all 0.3s;
}
}

@media screen and (max-width: 390px) {
.h-area {
   height: 4rem;
}

#hmenu {
  top: .5em;
  right: .5em;

}
}